## org.bn.compiler.parser.model
Class AsnCharacterStringValue

    java.lang.Object
      org.bn.compiler.parser.model.AsnCharacterStringValue

    public class AsnCharacterStringValue

extends java.lang.Object

Field Summary
`java.util.ArrayList` `charDefsList`
`boolean` `isCharDefList`
`boolean` `isTuple`
`java.util.ArrayList` `tupleQuad`

Constructor Summary
`AsnCharacterStringValue()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### charDefsList

    public java.util.ArrayList charDefsList

### isCharDefList

    public boolean isCharDefList

### isTuple

    public boolean isTuple

### tupleQuad

    public java.util.ArrayList tupleQuad

Constructor Detail

### AsnCharacterStringValue

    public AsnCharacterStringValue()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`